#
# spec file for package python-mistune
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mistune
Version:        0.8.4
Release:        21.2
Summary:        A markdown parser in pure Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/lepture/mistune
Source0:        https://files.pythonhosted.org/packages/source/m/mistune/mistune-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A markdown parser in pure Python, inspired by marked.

%prep
%setup -q -n mistune-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand nosetests-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE
%doc CHANGES.rst README.rst
%{python_sitelib}/mistune.py*
%pycache_only %{python3_sitelib}/__pycache__/*
%dir %{python_sitelib}/mistune-%{version}-py*.egg-info
%{python_sitelib}/mistune-%{version}-py*.egg-info/*

%changelog
* Mon Mar  4 2019 tchvatal@suse.com
- Drop the cython dependencies and mark package as noach:
  * Upstream dropped the cython code
* Sat Mar  2 2019 arun@gmx.de
- specfile:
  * update copyright year
- update to version 0.8.4:
  * Support an escaped pipe char in a table cell. #150
  * Fix ordered and unordered list. #152
  * Fix spaces between = in HTML tags
  * Add max_recursive_depth for list and blockquote.
  * Fix fences code block.
* Mon Dec 11 2017 jengelh@inai.de
- Remove bias from description.
* Wed Dec  6 2017 arun@gmx.de
- update to version 0.8.3:
  * Fix nested html issue. #137
- changes from version 0.8.2:
  * Fix _keyify with lower case.
* Wed Nov  8 2017 arun@gmx.de
- update to version 0.8.1 bsc#1072307:
  * Security fix CVE-2017-16876, thanks Dawid Czarnecki
* Mon Nov  6 2017 arun@gmx.de
- update to version 0.8.0 bsc#1064640:
  * Also fixes CVE-2017-15612
  * Remove non breaking spaces preprocessing
  * Remove rev and rel attribute for footnotes
  * Fix bypassing XSS vulnerability by junorouse
* Fri Apr  7 2017 toddrme2178@gmail.com
- Fix source url.
* Fri Apr  7 2017 toddrme2178@gmail.com
- update to version 0.7.4:
  * Fix escape_link method by Marcos Ojeda
  * Handle block HTML with no content by David Baumgold
  * Use expandtabs for tab
  * Fix escape option for text renderer
  * Fix HTML attribute regex pattern
- update to version 0.7.3:
  * Fix strikethrough regex
  * Fix HTML attribute regex
  * Fix close tag regex
- update to version 0.7.2:
  * Fix hard_wrap options on renderer.
  * Fix emphasis regex pattern
  * Fix base64 image link #80.
  * Fix link security per #87.
- update to version 0.7.1:
  * Fix inline html when there is no content per #71.
- specfile:
  * Initial singlespec version
  * update copyright year
  * updated source url to files.pythonhosted.org
* Thu Aug 13 2015 toddrme2178@gmail.com
- update to version 0.7:
  * Fix the breaking change in version 0.6 with options:
    parse_inline_html and parse_block_html
  * Breaking change: remove parse_html option for explicit
  * Change option escape default value to True for security reason
- update to version 0.6:
  * Breaking change on inline HTML, text in inline HTML will not be
    parsed per #38.
  * Replace tag renderer with inline_html for breaking change on
    inline HTML
  * Double emphasis, emphasis, code, and strikethrough can contain one
    linebreak per #48.
  * Match autolinks that do not have / in their URI via #53.
  * A work around on link that contains ) per #46.
  * Add <font> tag for inline tags per #55.
* Tue Apr  7 2015 zaitor@opensuse.org
- Update to version 0.5.1:
  + Fix a bug when list item is blank via ipython#7929.
  + Use python-wheels to build wheels for Mac.
- Drop 0001-Fix-when-list-item-is-blank.-Refer-https-github.com-.patch
  fixed upstream.
- Fix source URL.
- Add fdupes BuildRequires and fdupes macro, remove duplicated
  files.
- Package LICENSE README.rst.
* Sun Mar  8 2015 tbehrens@suse.com
- Add 0001-Fix-when-list-item-is-blank.-Refer-https-github.com-.patch
  to fix #8 in odpdown, and
  https://github.com/ipython/ipython/issues/7929. This is a backport
  from upstream master.
* Sat Feb  7 2015 tbehrens@suse.com
- Update to mistune 0.5:
  * For custom lexers, *features* is replaced with *rules*
  * Refactor on function names and codes
  * Add a way to output the render tree via `#20`
  * Fix emphasis and strikethrough regular expressions
- Changes from version 0.4.1
  * Add option for parse markdown in block level html
  * Fix on lheading, any number of underline = or - will work
  * Patch for setup if Cython is available but no C compiler
* Wed Oct  8 2014 nevion@gmail.com
-initial import
